File APIs for Java Developers
Manipulate DOC, XLS, PPT, PDF and many others from your application.
The moose likes Struts and the fly likes error while starting Tomcat5.5.9 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login

Win a copy of REST with Spring (video course) this week in the Spring forum!
JavaRanch » Java Forums » Frameworks » Struts
Bookmark "error while starting Tomcat5.5.9" Watch "error while starting Tomcat5.5.9" New topic

error while starting Tomcat5.5.9

Vallaru smitha
Ranch Hand

Joined: Aug 19, 2008
Posts: 87


my application working good in my local evn eclipse but after uploading it to server i am seeing following error:

I have added log4jproperties and now i am getting this, can you please take a look...

DEBUG [main] ( = Loaded /hibernateManager/* in 'hibernateManager' package:{ActionConfig * (.{1}()) - ac
tion - jar:file:/var/ftp/vytek/home/lhuang/DEPLOYMENT/csr/WEB-INF/lib/struts2-fullhibernatecore-plugin-1.4-GA.jar!/struts-plu
DEBUG [main] ( = Loaded [BUILDER] {PackageConfig Name:default namespace: parents:[{PackageConfig Name:h
ibernate-default namespace: parents:[{PackageConfig Name:struts-default namespace: parents:[]}]}]}
ERROR [main] ( = Exception starting filter struts2
java.lang.UnsupportedClassVersionError: Bad version number in .class file
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(
at org.apache.catalina.loader.WebappClassLoader.findClassInternal(
at org.apache.catalina.loader.WebappClassLoader.findClass(
at org.apache.catalina.loader.WebappClassLoader.loadClass(
at org.apache.catalina.loader.WebappClassLoader.loadClass(
at com.opensymphony.xwork2.util.ClassLoaderUtil.loadClass(
at com.opensymphony.xwork2.ObjectFactory.getClassInstance(
at com.opensymphony.xwork2.config.providers.XmlConfigurationProvider.verifyAction(
at com.opensymphony.xwork2.config.providers.XmlConfigurationProvider.addAction(
at com.opensymphony.xwork2.config.providers.XmlConfigurationProvider.addPackage(
at com.opensymphony.xwork2.config.providers.XmlConfigurationProvider.loadPackages(
at org.apache.struts2.config.StrutsXmlConfigurationProvider.loadPackages(
at com.opensymphony.xwork2.config.impl.DefaultConfiguration.reloadContainer(
at com.opensymphony.xwork2.config.ConfigurationManager.getConfiguration(
at org.apache.struts2.dispatcher.Dispatcher.init_PreloadConfiguration(
at org.apache.struts2.dispatcher.Dispatcher.init(
at org.apache.catalina.core.ApplicationFilterConfig.getFilter(
at org.apache.catalina.core.ApplicationFilterConfig.setFilterDef(
at org.apache.catalina.core.ApplicationFilterConfig.<init>(
at org.apache.catalina.core.StandardContext.filterStart(

Could anyone please help

Joe Ess

Joined: Oct 29, 2001
Posts: 9168

It looks like you are compiling your app with one version of Java and running Tomcat with another. It usually works if one compiles with a lower version of Java and runs with a higher version, but not the other way around.

[How To Ask Questions On JavaRanch]
I agree. Here's the link:
subject: error while starting Tomcat5.5.9
It's not a secret anymore!